## akonadi 1.4.0

=== debian/changelog ===
akonadi (1.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 01 Aug 2010 12:29:08 +0200

akonadi (1.3.90-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump debhelper to 7.3.16 or greater
    - Drop quilt from build-depends no longer need with source
      format 3.0 (quilt)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 06 Jul 2010 02:34:57 +0200

akonadi (1.3.85-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Update akonadi-server.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 05 Jun 2010 17:13:53 +0200

akonadi (1.3.80-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump libqt4-dev and libsoprano-dev
    - Drop kubuntu_01_fix_init.diff no longer need
    - Update 03_disable_usr_lib_install_rpath.diff
    - Update akonadi-server.install
  * Switch to dpkg-source 3.0 (quilt) format
 
 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 26 May 2010 19:44:52 +0200

akonadi (1.3.1-3ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Build-depend on mysql-server-core-5.1
    - Use versioned boost build-depends
    - Copy mysqld to mysqld-akonadi (rules)
    - Make akonadi-server depend on mysql-server-core-5.1 rather than mysql-server
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Add pre and postinst scripts for akonadi-server
    - Keep kubuntu_01_fix_init.diff
    - Don't apply 02_hardcode_debian_mysqld_path.diff, we set it in our
      debian/rules file
  * Update KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 17 May 2010 23:40:04 -0400

akonadi (1.3.1-0ubuntu3) lucid; urgency=low

  * Set VCS fields to Bazaar branches
  * Sync kubuntu_01_fix_init.diff with upstream SVN as per KDE bug 185395.
    + akonadi-server depends on mysql-server-core-5.1 (>= 5.1.41-3ubuntu11)
    + akonadi-server depends on mysql-client-core-5.1 (>= 5.1.41-3ubuntu12)
  * Expand apparmor profile to silence apparmor complaints in syslog,
    additonally this seems to fix LP: #554514

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 12 Apr 2010 17:13:38 +0200

akonadi (1.3.1-3) unstable; urgency=low

  [ Didier Raboud ]
  * Make akonadi-mysql depend on mysql-server-core instead of mysql-server,
    thanks to the split made in mysql-5.1. (Closes: #513382)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 Apr 2010 01:46:38 +0300

akonadi (1.3.1-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_fix_init.diff in a mere attemt to fix akonadi startup. This
    depends on a fixed verison of mysql (5.1.41-3ubuntu10) (LP: #448705)
    + Unlike upstream this uses the --force cmdl argument to also work without
      resolveip, an executable that is currently shipped in the main server
      package.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 31 Mar 2010 22:08:13 +0200

akonadi (1.3.1-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Bump libakonadiprivate1 shlibs with each new upstream release.
  * Generate strict local shlibs for libakonadiprivate1: use
    library-packages.mk from pkg-kde-tools 0.6.4.
  * Add ${misc:Depends} to akonadi-dbg Depends.
  * Add 03_disable_usr_lib_install_rpath.diff patch in order to get rid of
    /usr/lib RPATH.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Mar 2010 01:51:56 +0200

akonadi (1.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Feb 2010 21:11:37 +0000

akonadi (1.3.1-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Refresh patches to apply cleanly:
    - 01_x11_not_required.diff
    - 02_hardcode_debian_mysqld_path.diff
  * Fix the list of dbus interfaces files installed by libakonadi-dev.

  [ Martin Alfke ]
  * Make libakonadiprivate1 depend on akonadi-server
    binary version (Closes: #544431)

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.
  * Update year on packaging copyright.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Fathi Boudra ]
  * Bump Standards-Version to 3.8.4 (no changes needed).

akonadi (1.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 10:27:54 +0100

akonadi (1.2.80-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Refresh 01_x11_not_required.diff
    - Refresh 02_hardcode_debian_notmysqld_path.diff
    - Remove kubuntu_01_imap_line_endings.diff fixed by upstream
    - Update libakonadi-dev.install
    - Bump libboost to 1.40

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 02 Dec 2009 03:12:37 +0100

akonadi (1.2.1-1ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:46:57 +0000

akonadi (1.2.1-1ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:50 +0000

akonadi (1.2.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Build-depend on mysql-server-core-5.1
    - Copy mysqld to mysqld-akonadi (rules)
    - Make akonadi-server depend on mysql-server-core-5.1 rather than mysql-server
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Add pre and postinst scripts for akonadi-server
    - Keep kubuntu_01_imap_line_endings.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 17:52:46 -0500

akonadi (1.2.1-0ubuntu4) karmic; urgency=low

  * Revert previous upload (LP: #418342). Apparently Akonadi
    does not like being used with MySQL 5.0. This is probably
    because both Qt and Akonadi are built against 5.1, and the 

