=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIG_INSTALL_DIR = /etc
DEB_DH_MAKESHLIBS_ARGS_libakonadiprivate1 := -V

DEB_CMAKE_EXTRA_FLAGS += -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld

DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

# Kubuntu uses this path for the MySQLD executable
DEB_CMAKE_EXTRA_FLAGS += -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld-akonadi

binary-install/akonadi-server::
	install -p -D debian/usr.sbin.mysqld-akonadi \
		debian/akonadi-server/etc/apparmor.d/usr.sbin.mysqld-akonadi
	mkdir debian/akonadi-server/usr/sbin
	cp /usr/sbin/mysqld debian/akonadi-server/usr/sbin/mysqld-akonadi
