## akonadi 1.5.2

=== debian/changelog ===
akonadi (1.5.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixes warnings about duplicated agent identifiers. (LP: #740488)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 05 Apr 2011 17:29:48 +0200

akonadi (1.5.1-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #739424)
  * Drop 03_disable_usr_lib_install_rpath.diff, fixed upstream.
  * Call dh_apparmor instead of providing our own postinst/postrm scripts to
    reload the AppArmor profile.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 22 Mar 2011 18:40:35 +0100

akonadi (1.5.0-0ubuntu2) natty; urgency=low

  * Use a wrapper script instead of copying mysqld to mysqld-akonadi.
    (LP: #728584)
    - Update the AppArmor profile accordingly.
    - Drop mysql-server-core-5.1 from build-deps.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 03 Mar 2011 18:06:42 +0100

akonadi (1.5.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 09:48:32 +0000

akonadi (1.4.95-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 09 Jan 2011 16:19:52 +0530

akonadi (1.4.90-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Dec 2010 13:57:05 +0000

akonadi (1.4.80-0ubuntu2) natty; urgency=low

  * Give up on akonadi-agent-launcher and akonadi-agent-server binaries as a
    bad idea
    - Remove debian/akonadi-agent-launcher.install and
      debian/akonadi-agent-server.install
    - Move files to akonadi-server.install
    - Remove binaries from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Tue, 23 Nov 2010 10:10:30 -0500

akonadi (1.4.80-0ubuntu1) natty; urgency=low

  * New upstream release to support KDE 4.6 beta 1 packaging
    - Add new binary packages for usr/bin/akonadi_agent_server and
      usr/bin/akonadi_agent_launcher
    - Add org.freedesktop.Akonadi.NotificationSource.xml to
      libakonadi-dev.install
    - Refresh patches
    - Update debian/copyright
  * Rename libakonadiprivate1 to libakonadiprotocolinternals1 since the
    private library has been removed and only protocolinternals remains
    - Update debian/control
    - Rename install file and drop remove shared objects
  * Drop implicit-it=thumb workaround as it will no longer be needed once
    armel is fixed

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Nov 2010 09:32:48 -0500

akonadi (1.4.1-0ubuntu2) natty; urgency=low

  * Add CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Nov 2010 12:14:01 -0400

akonadi (1.4.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 19:14:31 +0200
