=== debian/control ===
--- 
+++ 
@@ -7,25 +7,26 @@
  Fathi Boudra <fabo@debian.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.3.16), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.6.4),
  libqt4-dev (>= 4:4.7.0~beta1+git20100522), shared-mime-info, libmysqlclient-dev,
- libxslt-dev, libsoprano-dev (>= 2.4.63), xsltproc, libdbus-1-dev, libboost-program-options1.42-dev,
- mysql-server-core-5.1
+ libxslt-dev, libsoprano-dev (>= 2.4.63), xsltproc, libdbus-1-dev, libboost-program-options1.42-dev
 Standards-Version: 3.8.4
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/akonadi/ubuntu
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/akonadi/ubuntu
 
-Package: libakonadiprivate1
+Package: libakonadiprotocolinternals1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: akonadi-server (= ${binary:Version})
 Conflicts: kdepimlibs5 (<< 4:4.0.84)
+Breaks: libakonadiprivate1
+Replaces: libakonadiprivate1
 Description: libraries for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service.  It provides a common framework for applications to store and
  access mail, calendars, addressbooks, and other PIM data.
  .
- This package contains private libraries used by the Akonadi PIM storage 
+ This package contains internal libraries used by the Akonadi PIM storage 
  service.
 
 Package: akonadi-dbg
@@ -44,7 +45,7 @@
 Package: libakonadi-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libakonadiprivate1 (= ${binary:Version}), libboost1.42-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libakonadiprotocolinternals1(= ${binary:Version}), libboost1.42-dev
 Replaces: kdepimlibs-data (<= 4:4.0.68+svn794641-1), kdepimlibs5-dev (<= 4:4.0.68+svn794641-1)
 Suggests: pkg-config
 Description: development files for the Akonadi PIM storage service
@@ -66,3 +67,4 @@
  .
  This package contains the Akonadi PIM storage server and associated programs.
  It pulls in all required dependencies including the MySQL server executable.
+
