## akonadi 1.5.3

=== debian/changelog ===
akonadi (1.5.3-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix typo in README.Debian. (Closes: #627826)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 00:22:36 +0300

akonadi (1.5.3-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Mon, 09 May 2011 00:50:11 +0300

akonadi (1.5.1-2) experimental; urgency=low

  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Merge 1.3.1-4 changes:
    - Drop 04_socket_location.diff patch, merged upstream.
  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
  * Update symbol file: private symbols disappeared after building with hidden
    visibility.

 -- Modestas Vainius <modax@debian.org>  Mon, 02 May 2011 01:40:34 +0300

akonadi (1.5.1-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Add libsqlite3-dev to build depends. This build has support for SQLite
    backend.
  * Drop 03_disable_usr_lib_install_rpath.diff patch, no longer needed as
    the problem was fixed upstream differently.
  * Add new packages for multiple backend split:
    - akonadi-backend-mysql - a package which depends on the stuff needed for
      MySQL backend (server and Qt module) and installs a configuration file
      previously present in akonadi-server;
    - akonadi-backend-postgresql - a package which depends on the stuff needed
      for PostgreSQL backend. Even if default configuration starts an internal
      PostgreSQL server instance, add postgresql package to Recommends because
      the latter package enables the daemon system-wide. PostgreSQL needs to be
      split to the -core part as MySQL was;
    - akonadi-backend-odbc - a package which depends on the stuff needed to
      enable Akonadi ODBC backend. It's primarily intended to be used with a
      local Virtuoso instance that's started by Nepomuk;
    - akonadi-backend-sqlite - a package with improved SQLite driver that is
      needed for Akonadi SQLite backend;
  * Make akonadi-server on both backends with | relation preferring MySQL for
    now. Also suggest both backends.
  * Move akonadi-dbg to the end of debian/control.
  * Update install files.
  * Add README.Debian with extensive information about Akonadi configuration
    files and storage backends.
  * Bump build dependency to libqt4-dev 4:4.6.0. SQLite backend needs it.
  * Drop Replaces from libakonadi-dev for very old pre-4.1 KDE versions.
  * Switch to quilt 3.0 format:
    - add appropriate debian/source/format;
    - remove quilt from Build-Depends;
    - remove debian/README.source, no longer necessary.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed
    or replace Conflicts with Breaks respectively,
  * Improve passing of MYSQLD_EXECUTABLE flag to cmake.
  * Drop 02_hardcode_debian_mysqld_path.diff, not needed any more.
  * Drop obsolete (pre-KDE 4.1) Breaks.
  * Switch debian/rules engine to qt-kde-team/2/*. Fix FTBFS in the process.
    (Closes: #618200)
  * Strip sequence numbers from debian/patches/*.
  * Install README.Debian to akonadi-server and all backend packages.
  * Install README.sqlite to akonadi-backend-sqlite.
  * Drop ${shlibs:Depends} from libakonadi-dev Depends.
  * Update debian/copyright.

  [ José Manuel Santamaría Lema ]
  * Rename libakonadiprivate1 as libakonadiprotocolinternals1 
    (libakonadiprivate.so.1* doesn't exist anymore) and create symbols file.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 Mar 2011 22:25:05 +0200

akonadi (1.3.1-4) unstable; urgency=low

  * Add patch 04_socket_location.diff to allow akonadi-server to run when HOME
    is mounted to the network filesystem (Closes: #545139). Thanks to Ansgar
    Burchardt for the patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Apr 2011 12:31:46 +0300
