## akonadi 1.6.2

=== debian/changelog ===
akonadi (1.6.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Oct 2011 16:43:57 -0500

akonadi (1.6.1+git110927-0ubuntu1) oneiric; urgency=low

  * Update to 1.6 branch snapshot for additional bug fixes

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Sep 2011 06:45:45 -0400

akonadi (1.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release (LP: #707878)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 16 Sep 2011 16:09:18 +0200

akonadi (1.6.0-0ubuntu2) oneiric; urgency=low

  * No change rebuild due to multi-arch changes in qt4-x11

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Aug 2011 10:38:30 -0400

akonadi (1.6.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 16 Jul 2011 16:41:20 +0200

akonadi (1.5.80-0ubuntu1) oneiric; urgency=low

  * New upstrem beta release 
    - bump debhelper version to fix lintian warning
    - refresh libakonadiprotocolinternals1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jul 2011 22:25:38 +0200

akonadi (1.5.3-2ubuntu1) oneiric; urgency=low

  * Change Vcs-* from kubuntu-members to kubuntu-packagers
  * Merge from debian unstable.  Remaining changes:
    - Use versioned boost build-depends
    - Add a mysqld-akonadi wrapper script
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Make akonadi-backend-mysql depend on mysql-server-core-5.1 and
      mysql-client-core-5.1 instead of mysql-server-core
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~"

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 May 2011 23:06:47 -0400

akonadi (1.5.3-1ubuntu1) oneiric; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Use versioned boost build-depends.
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.1 and
      mysql-client-core-5.1 instead of mysql-server-core.
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~".

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 24 May 2011 21:04:40 +0200
