=== debian/control ===
Source: akonadi
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>,
 Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.12),
 libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
 libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options1.46-dev,
 libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi

Package: akonadi-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) |
 akonadi-backend-postgresql (= ${source:Version})
Suggests: akonadi-backend-mysql (= ${binary:Version}), akonadi-backend-sqlite (= ${binary:Version}),
 akonadi-backend-postgresql (= ${source:Version})
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}), libboost-dev
Suggests: pkg-config
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: ${misc:Depends}, mysql-server-core-5.1, mysql-client-core-5.1, libqt4-sql-mysql
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.5.3~)
Breaks: akonadi-server (<< 1.5.3~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: ${misc:Depends}, libqt4-sql-psql
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.5.3~)
Breaks: akonadi-server (<< 1.5.3~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-odbc
Section: misc
Architecture: all
Depends: ${misc:Depends}, libqt4-sql-odbc
Suggests: akonadi-server, libvirtodbc0, virtuoso-minimal
Provides: akonadi-backend-virtuoso
Description: ODBC storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package install everything what's needed for Akonadi to work with
 external SQL servers that implements ODBC interface. By default, the backend
 attempts to connect to the Virtuoso SQL server instance that's typically
 started by Nepomuk in KDE environment.

Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.
