=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld \
+	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
 	    -DCONFIG_INSTALL_DIR=/etc
 
 override_dh_installdocs:
@@ -23,3 +23,7 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=akonadi-dbg
+
+override_dh_installinit:
+	$(overridden_command)
+	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi
